//var _URL_INICIO = "/2021_itz/poa_local/";
var _URL_INICIO = "";

function login(){
	mp();
	var route = _URL_INICIO+"login";
	var token = $('meta[name="csrf-token"]').attr('content');
	$.ajax({
		url:route, type:'POST', dataType:'JSON',
		headers: { 'X-CSRF-TOKEN': token },
		data: $("#form-inicio-sesion").serialize(),
	})
	.done(function(json) {
		if (json['exito']) {
			window.location = _URL_INICIO+'/seleccion';
		} else { $("#respuesta").text(json['error']); }
	}) 
	.fail(function(msj) { $("#respuesta").text("Usuario y/o contraseña incorrectos."); })
	.always(function() { op(); });
}

function menu_principal(idDepto){
	//mp();
	var route = _URL_INICIO+"login/"+idDepto;
	var token = $('meta[name="csrf-token"]').attr('content');
	$.ajax({
		url:route, type:'PUT', dataType:'JSON',
		headers: { 'X-CSRF-TOKEN': token },
		data: $("#form-inicio-sesion").serialize(),
	})
	.done(function(json) {
		if (json['exito']) {
			window.location = _URL_INICIO+'principal';
		} else { $("#respuesta").text(json['error']); }
	}) 
	.fail(function(msj) { $("#respuesta").text("Usuario y/o contraseña incorrectos."); })
	.always(function() { console.log("complete"); /*op();*/});
}

function rms_menu_principal(idDepto){
  //mp();
  var route = _URL_INICIO+"login/"+idDepto;
  var token = $('meta[name="csrf-token"]').attr('content');
  $.ajax({
    url:route, type:'PUT', dataType:'JSON', headers: { 'X-CSRF-TOKEN': token }, //data: $("#form-inicio-sesion").serialize(),
  })
  .done(function(json) {
    if (json['exito']) {
      window.location = _URL_INICIO+'rms_principal';
    } else { $("#respuesta").text(json['error']); }
  }) 
  .fail(function(msj) { $("#respuesta").text("Usuario y/o contraseña incorrectos."); })
  .always(function() { console.log("complete"); /*op();*/});
}

function examen_ngl_menu_principal(idDepto){
  //mp();
  var route = _URL_INICIO+"login/"+idDepto;
  var token = $('meta[name="csrf-token"]').attr('content');
  $.ajax({
    url:route, type:'PUT', dataType:'JSON', headers: { 'X-CSRF-TOKEN': token }, //data: $("#form-inicio-sesion").serialize(),
  })
  .done(function(json) {
    if (json['exito']) {
      window.location = _URL_INICIO+'examen_ngl';
    } else { $("#respuesta").text(json['error']); }
  }) 
  .fail(function(msj) { $("#respuesta").text("Usuario y/o contraseña incorrectos."); })
  .always(function() { console.log("complete"); /*op();*/});
}

function pagos_menu_principal(idDepto){
  //mp();
  var route = _URL_INICIO+"login/"+idDepto;
  var token = $('meta[name="csrf-token"]').attr('content');
  $.ajax({
    url:route, type:'PUT', dataType:'JSON', headers: { 'X-CSRF-TOKEN': token }, //data: $("#form-inicio-sesion").serialize(),
  })
  .done(function(json) {
    if (json['exito']) {
      window.location = _URL_INICIO+'pagos';
    } else { $("#respuesta").text(json['error']); }
  }) 
  .fail(function(msj) { $("#respuesta").text("Usuario y/o contraseña incorrectos."); })
  .always(function() { console.log("complete"); /*op();*/});
}

function ingreso_menu_principal(idDepto){
  //mp();
  var route = _URL_INICIO+"login/"+idDepto;
  var token = $('meta[name="csrf-token"]').attr('content');
  $.ajax({
    url:route, type:'PUT', dataType:'JSON', headers: { 'X-CSRF-TOKEN': token }, //data: $("#form-inicio-sesion").serialize(),
  })
  .done(function(json) {
    if (json['exito']) {
      window.location = _URL_INICIO+'ingreso';
    } else { $("#respuesta").text(json['error']); }
  }) 
  .fail(function(msj) { $("#respuesta").text("Usuario y/o contraseña incorrectos."); })
  .always(function() { console.log("complete"); /*op();*/});
}

/**
 * funcion para cambiar al sistema de administracion de la pagina de la escuela
 * @param  {[Int]} idDepto [idDepartamentoPuesto]
 */
function itz_menu_principal(idDepto){
  //mp();
  var route = _URL_INICIO+"log_pagina";
  var token = $('meta[name="csrf-token"]').attr('content');
  $.ajax({
    url:route, type:'POST', dataType:'json', data: {'id': idDepto}, headers: { 'X-CSRF-TOKEN': token } })
  .done(function(json) {
    if (json['exito']) {
      window.location = "https://zitacuaro.tecnm.mx/admin";
    } else { $("#respuesta").text(json['error']); }
  }) 
  .fail(function(msj) { $("#respuesta").text("Usuario y/o contraseña incorrectos."); })
  .always(function() { console.log("complete"); /*op();*/});
}

/**
 * funcion para cambiar al sistema de tramite de tiutlo y cedula (Marcos)
 * @param  {[Int]} idDepto [idDepartamentoPuesto]
 */
function titulos_menu_principal(idDepto){
  //mp();
  var route = _URL_INICIO+"log_titulo";
  var token = $('meta[name="csrf-token"]').attr('content');
  $.ajax({
    url:route, type:'POST', dataType:'json', data: {'id': idDepto}, headers: { 'X-CSRF-TOKEN': token } })
  .done(function(json) {
    if (json['exito']) {
      window.location = "https://titulo.zitacuaro.tecnm.mx/departamento";
    } else { $("#respuesta").text(json['error']); }
  }) 
  .fail(function(msj) { $("#respuesta").text("Usuario y/o contraseña incorrectos."); })
  .always(function() { console.log("complete"); /*op();*/});
}

/**
 * funcion para cambiar al sistema gestion de cursos (Dani)
 * @param  {[Int]} idDepto [idDepartamentoPuesto]
 */
function cursos_menu_principal(idDepto){
  //mp();
  var route = _URL_INICIO+"log_cursos";
  var token = $('meta[name="csrf-token"]').attr('content');
  $.ajax({
    url:route, type:'POST', dataType:'json', data: {'id': idDepto}, headers: { 'X-CSRF-TOKEN': token } })
  .done(function(json) {
    if (json['exito']) {
      window.location = "https://academico.zitacuaro.tecnm.mx";
    } else { $("#respuesta").text(json['error']); }
  }) 
  .fail(function(msj) { $("#respuesta").text("Usuario y/o contraseña incorrectos."); })
  .always(function() { console.log("complete"); /*op();*/});
}

/**
 * funcion para cambiar al sistema gestion de cursos (Dani)
 * @param  {[Int]} idDepto [idDepartamentoPuesto]
 */
function depi_menu_principal(idDepto){
  //mp();
  var route = _URL_INICIO+"log_depi";
  var token = $('meta[name="csrf-token"]').attr('content');
  $.ajax({
    url:route, type:'POST', dataType:'json', data: {'id': idDepto}, headers: { 'X-CSRF-TOKEN': token } })
  .done(function(json) {
    if (json['exito']) {
      window.location = "https://depi.zitacuaro.tecnm.mx/admin";
    } else { $("#respuesta").text(json['error']); }
  }) 
  .fail(function(msj) { $("#respuesta").text("Usuario y/o contraseña incorrectos."); })
  .always(function() { console.log("complete"); /*op();*/});
}

/**
 * funcion para enviar correo con contraseña de centro de informacion elibro
 */
function elibro_menu_principal(){
  //mp();
  window.location = _URL_INICIO+'elibro';
}